.header-quicklinks {
  display: none;
  text-align: right;

  @media (min-width: 62rem) and (hover: hover) {
    display: block;
    margin-top: 1.25rem;
  }

  &.mobile-show {
    display: inline-block;
    float: right !important;
    width: auto;
    padding: 0;
    line-height: 1.875;
  }

  & .content {
    text-transform: uppercase;
    /*font-size: 0.6875rem;*/
    font-size: var(--wp--preset--font-size--small);

    @media (min-width: 62rem) and (hover: hover) {
      /*font-size: 0.75rem;*/
    }

    & a {
      display: inline-block;
      margin: 0 0 0 0.3125rem;
      padding-left: 2.1875rem;
      background-color: transparent;
      background-repeat: no-repeat;
      background-position: left center;
      color: var(--wp--preset--color--black);
      line-height: 2.7;
      opacity: 1;

      @media (min-width: 62rem) and (hover: hover) {
        color: var(--wp--preset--color--white);
        line-height: 2.5;
      }

      &:hover,
      &:focus-visible {
        @media (min-width: 62rem) and (hover: hover) {
          color: var(--wp--preset--color--brand-2);
          opacity: 0.6;
        }
      }
    }

    & .member-apply {
      background-image: url(../img/join.svg);
    }

    & .member-login,
    & .logout {
      background-image: url(../img/login.svg);
    }
  }
}

.site-header {
  margin-top: 3.125rem;
  padding: 0;
  background: var(--wp--preset--color--brand-1, #025a02) url(../img/header.png) center bottom no-repeat;
  color: var(--wp--preset--color--white);

  & .row {
    margin-right: 0;
    margin-left: 0;
  }

  & a {
    color: var(--wp--preset--color--white);
  }

  & .header-left {
    display: flex;
    padding: 0.625rem 0;
  }

  & .logo {
    & img {
      width: auto;
      height: auto;
    }
  }

  & .header-text {
    padding-left: 0.625rem;

    & h3 {
      font-size: 2rem;
    }

    @media (min-width: 62rem) and (hover: hover) {
      padding-top: var(--wp--preset--spacing--45);
    }
  }

  @media (min-width: 62rem) and (hover: hover) {
    margin-top: 0;
  }
}

.mobile-header {
  display: block;
  position: fixed;
  z-index: 9999;
  top: 0;
  width: 100%;
  height: 3.125rem;
  min-height: 1.25rem;
  padding: 0.625rem;
  background: var(--wp--preset--color--brand-2);
  color: var(--wp--preset--color--white);

  @media (min-width: 62rem) and (hover: hover) {
    display: none;
  }
}

.footer-top {
  padding-top: var(--wp--preset--spacing--50);
  padding-bottom: var(--wp--preset--spacing--50);
  background: var(--wp--preset--color--brand-1, #025a02);
  color: var(--wp--preset--color--white);

  & .mb-4 {
    margin-bottom: 0 !important;
  }

  & .textwidget,
  & a {
    font-size: 0.875rem;
    font-weight: 300;
  }

  & .row {
    /*margin: 0 -0.625rem;*/

    @media (min-width: 48rem) {
      /*margin: 0 -0.9375rem;*/
    }
  }

  & .column {
    margin-bottom: var(--wp--preset--spacing--50);

    &:last-child {
      margin-bottom: 0;
    }

    @media (min-width: 80rem) {
      margin-bottom: 0;
    }

    @media (max-width: 47.9375rem) {
      width: 100%;
      padding-right: 0.625rem;
      padding-left: 0.625rem;
    }
  }

  & .widget-title {
    margin-bottom: 1.12rem;
    color: var(--wp--preset--color--brand-2);
    font-size: 1.3rem;
    font-weight: 400;

    @media (min-width: 48rem) {
      font-size: 1.6rem;
    }
  }

  & .sharper-icon {
    display: none;
  }

  & ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  & li {
    margin-bottom: 0.625rem;
    padding: 0;
    line-height: 1.2;
    list-style: none;
    list-style-type: none;
  }

  & a {
    color: var(--wp--preset--color--white);

    &:hover,
    &:focus-visible {
      color: var(--wp--preset--color--brand-2);
    }
  }
}

.footer-below {
  overflow: hidden;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  background-color: var(--wp--preset--color--grey-900);
  color: var(--wp--preset--color--white);
  text-align: center;
  font-size: var(--wp--preset--font-size--small);
  font-weight: 300;

  & .col-6 {
    @media (max-width: 47.9375rem) {
      width: 100%;
      padding-right: 0.625rem;
      padding-left: 0.625rem;
    }
  }
}

.copyright {
  position: relative;
  float: left;
  width: 50%;
  min-height: 0.0625rem;
  padding-right: var(--wp--preset--spacing--40);
  padding-left: var(--wp--preset--spacing--40);

  & a {
    color: var(--wp--preset--color--brand-3-600);

    &:hover,
    &:focus-visible {
      color: var(--wp--preset--color--brand-3-600);
    }
  }

  & p {
    margin-bottom: 0;
  }

  @media (min-width: 48rem) {
    text-align: right;
  }
}

.legal-links {
  position: relative;
  float: left;
  width: 50%;
  min-height: 0.0625rem;
  margin-bottom: 0.625rem;
  padding-right: var(--wp--preset--spacing--40);
  padding-left: var(--wp--preset--spacing--40);

  & li {
    display: inline-block;
    float: left;
    margin: 0 0.625rem 0 0;
    padding: 0;
    list-style-type: none;

    @media (min-width: 48rem) {
      float: left;
    }
  }

  & ul {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;

    &::after {
      content: " ";
      display: table;
      clear: both;
    }

    &::before {
      content: " ";
      display: table;
    }

    @media (min-width: 48rem) {
      justify-content: left;
    }
  }

  & li {
    display: inline-block;
    float: none;
    margin: 0 0.3125rem 0 0;
    padding: 0;
    list-style-type: none;

    & a {
      display: inline-block;
      float: left;
      padding: 0 0.3125rem 0 0;
      color: var(--wp--preset--color--white);
      text-decoration: none;

      &:hover,
      &:focus-visible {
        color: var(--wp--preset--color--white);
      }
    }

    &::after {
      content: "|";
    }

    &:last-child::after {
      display: block;
      width: 0;
      opacity: 0;
    }
  }

  @media (min-width: 48rem) {
    text-align: left;
  }
}

.btn.top-button {
  right: -2.1875rem;
  bottom: var(--wp--preset--spacing--50);
  width: 2.1875rem;
  height: 2.1875rem;
  padding: 0;
  border: 0;
  border-radius: var(--button--border-radius);
  background-color: var(--wp--preset--color--brand-3);
  color: var(--wp--preset--color--white);
  line-height: 2.125rem;
  font-size: 1.375rem;
  transition: right .3s;

  & i::before {
    content: url(../img/arrow_up_font_awesome.svg);
    display: block;
    position: relative;
    top: 0.1875rem;
    width: 1.375rem;
    height: 1.375rem;
  }

  &.visible {
    right: 0;
  }

  &:hover,
  &:focus-visible {
    border-color: var(--wp--preset--color--brand-3-800);
    background-color: var(--wp--preset--color--brand-3-650);
  }

  &:not(.btn-check) + .top-button:active {
    border-color: var(--wp--preset--color--brand-3-800);
    background-color: var(--wp--preset--color--brand-3-650);
  }
}

button.burger {
  width: 2.5rem;
  height: var(--wp--preset--spacing--50);
  padding: 0.1875rem 0 0;
  outline: none;
  border: 0;
  background: transparent none;

  & .burgerline {
    display: block;
    width: 100%;
    height: 0.1875rem;
    margin: 0 0 0.4375rem;
    border-radius: 0.0625rem;
    background: var(--wp--preset--color--white);
    transition: all 0.3s ease-in-out;
    transform: rotate(0deg);
  }

  &.open {
    & .burgerline-01 {
      margin: -0.25rem 0 0 0;
      transform: rotate(135deg);
    }

    & .burgerline-02 {
      opacity: 0;
    }

    & .burgerline-03 {
      margin: -0.75rem 0 0;
      transform: rotate(-135deg);
    }
  }
}

.header-menu.offcanvas {
  visibility: visible;
  right: auto;
  left: -100%;
  width: 100%;
  height: 100%;
  padding: 1.25rem 0;
  background: var(--wp--preset--color--brand-1, #025a02);
  text-align: center;
  font-size: 1.3125rem;
  transition: all 0.5s ease-in-out;
  transform: none;

  &.open {
    left: 0;
  }
}

.main-menu.navbar {
  padding: 0;
  background: var(--wp--preset--color--brand-2);

  & .offcanvas {
    overflow: auto;
    padding: 0;

    @media (min-width: 62rem) and (hover: hover) {
      overflow: visible;
    }
  }

  & .container {
    padding: 0;

    @media (min-width: 62rem) and (hover: hover) {
      padding: 0 var(--wp--preset--spacing--40);
    }
  }

  & .offcanvas-body {
    padding: 0;
  }

  & .offcanvas-body.menu-mobile {
    padding-top: 3.125rem;
  }

  & .dropdown-toggle::after {
    display: none;
  }

  & .menu-desktop {
    display: none;

    @media (min-width: 62rem) and (hover: hover) {
      display: flex;
    }
  }

  & .menu-mobile {
    @media (min-width: 62rem) and (hover: hover) {
      display: none !important;
    }
  }

  /*
   * This media query duplicates Bootstrap's navbar-expand-lg class, with additional constraints to prevent this
   *  styling affecting touch devices. Do not adjust the specificity of the selectors within.
   */
  @media (min-width: 62rem) and (hover: hover) and (pointer: fine) {
    flex-wrap: nowrap;
    justify-content: flex-start;

    & .navbar-nav {
      flex-direction: row;

      & .dropdown-menu {
        position: absolute;
      }

      & .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x);
      }
    }

    & .navbar-nav-scroll {
      overflow: visible;
    }

    & .navbar-collapse {
      display: flex !important;
      flex-basis: auto;
    }

    & .navbar-toggler {
      display: none;
    }

    & .offcanvas {
      position: static;
      z-index: auto;
      flex-grow: 1;
      width: auto !important;
      height: auto !important;
      visibility: visible !important;
      background-color: transparent !important;
      border: 0 !important;
      transform: none !important;
      transition: all 0.5s ease-in-out;

      & .offcanvas-header {
        display: none;
      }

      & .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible;
      }
    }
  }
}

.navbar-nav {
  display: block;
  position: relative;
  margin: 0;
  padding: 1.25rem 0;

  & li {
    margin: 0;
    padding: 0;
    text-align: left;

    &:hover .nav-link,
    &:focus-visible .nav-link {
      border: 0;
      box-shadow: none;
      color: var(--wp--preset--color--white);

      @media (min-width: 62rem) and (hover: hover) {
        background: var(--wp--preset--color--brand-1-700, #013601);
      }
    }

    @media (min-width: 62rem) and (hover: hover) {
      display: inline-block;
      position: relative;
      float: left;
      width: auto;
      margin: 0;
      padding: 0;
      text-align: left;
      list-style-type: none;
    }
  }

  & .nav-link {
    display: block;
    width: 100%;
    padding: 0.625rem;
    padding-right: 2.5rem;
    color: var(--wp--preset--color--white);
    font-weight: 400;

    &:focus-visible {
      outline: -webkit-focus-ring-color auto 0.0625rem;
      outline-offset: 0.0625rem;
    }

    @media (min-width: 62rem) and (hover: hover) {
      display: inline-block;
      float: left;
      width: 100%;
      height: 3.125rem;
      padding: 0 var(--wp--preset--spacing--40) !important;
      color: var(--wp--preset--color--white);
      line-height: 3.125rem;
      text-align: left;
      text-decoration: none;
      text-transform: uppercase;
      letter-spacing: 0.1px;
      font-size: var(--wp--preset--font-size--small);
      transition: all 0.2s ease-in-out;
    }

    @media (min-width: 80rem) {
      font-size: var(--wp--preset--font-size--normal);
    }

    &.active {
      color: var(--wp--preset--color--white);
    }
  }

  & li.current-page-parent,
  & li.current-menu-item,
  & li.focus {
    @media (min-width: 62rem) and (hover: hover) {
      background: var(--wp--preset--color--brand-1-700, #013601);

      &,
      & a {
        color: var(--wp--preset--color--brand-1-inv, #fefefe);
      }
    }
  }

  @media (min-width: 62rem) and (hover: hover) {
    padding: 0;
  }
}

.dropdown-menu {
  margin-top: 0 !important;

  & .show {
    display: none;
  }

  @media (min-width: 62rem) and (hover: hover) {
    display: none;
    position: absolute;
    z-index: 301;
    top: 3.125rem;
    left: 0;
    width: 12rem;
    height: auto;
    margin: 0;
    padding: 0;
    border: 0;
    border-bottom: 0.1875rem solid var(--wp--preset--color--brand-2);
    border-radius: 0;
    background: var(--wp--preset--color--brand-1-700, #013601);
  }

  & li {
    @media (min-width: 62rem) and (hover: hover) {
      display: block;
      position: relative;
      float: none;
      width: 100%;
      margin: 0;
      padding: 0;
      line-height: 1;
      text-align: left;
      list-style-type: none;
    }

    & a {
      white-space: normal;

      @media (min-width: 62rem) and (hover: hover) {
        display: inline-block;
        float: none;
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0.625rem;
        border-left: 0;
        background: none transparent;
        color: var(--wp--preset--color--white);
        line-height: 1.2;
        text-align: left;
        text-decoration: none;
        text-transform: capitalize;
        letter-spacing: 0.1px;
        font-size: var(--wp--preset--font-size--normal);
        transition: all 0.2s ease-in-out;
      }

      &:hover,
      &:focus-visible {
        @media (min-width: 62rem) and (hover: hover) {
          background: var(--wp--preset--color--brand-2);
          color: var(--wp--preset--color--white);
        }
      }
    }
  }
}

#page > nav {
  position: sticky;
  z-index: 10;
  top: 0;

  .logged-in & {
    top: 0;
  }

  .logged-in.administrator & {
    top: 2rem;
  }
}

.logged-in.administrator .mobile-header {
  top: 2.875rem;

  @media (min-width: 48.9375rem) {
    top: 2rem;
  }
}

.dropdown-item {
  &.active,
  &:active {
    background-color: transparent;

    &:hover,
    &:focus-visible {
      background-color: var(--wp--preset--color--brand-2);
    }
  }
}

.menu-item-has-children .toggle-submenu {
  display: block;
  position: absolute;
  top: 0.6875rem;
  right: 0.25rem;
  width: 1.875rem;
  height: 1.875rem;
  transition: transform 0.3s;
  cursor: pointer;
}

.menu-item-has-children .toggle-submenu::before, .menu-item-has-children .toggle-submenu::after {
  content: '';
  position: absolute;
  top: 0.9375rem;
  left: 0.4375rem;
  width: 0.9375rem;
  height: 0.125rem;
  background: var(--wp--preset--color--white);
  transition: transform 0.3s;
  transform: translateY(-50%);
}

.menu-item-has-children .toggle-submenu::after {
  top: 0.875rem;
  transform: rotate(90deg);
}

.menu-item-has-children.open .toggle-submenu::after {
  transform: rotate(0deg);
}

.menu-mobile {
  & .dropdown-menu {
    border: 0;
    background: none;
  }

  & .dropdown-item {
    color: var(--wp--preset--color--white);

    &:hover,
    &:focus {
      background-color: var(--wp--preset--color--brand-2);
      color: var(--wp--preset--color--white);
    }
  }
}

